Checking Parcel Status
Get parcel status by using order number is the recommended call to use for checking the shipment. Use this call to retrieve parcel details.
POST
http://demo.connect.easyparcel.my/?ac=EPParcelStatusBulk Body: application/x-www-form-urlencoded · action EPParcelStatusBulk
Request parameters
Request L1
| Parameter | Type | Required | Description |
|---|---|---|---|
api | string(25) | Yes | Obtain from registered account. |
bulk | array | Yes | (Refer to Request L2) |
Request L2 · bulk[]
| Parameter | Type | Required | Description |
|---|---|---|---|
order_ | string(15) | Yes | Acquire from the order that placed. |
Sample code
php
<?php
$domain = "https://demo.connect.easyparcel.my/?ac=";
$action = "EPParcelStatusBulk";
$postparam = array(
'api' => 'xxxxxx',
'bulk' => array(
array(
'order_no' => 'EI-AAGWD',
),
array(
'order_no' => 'EI-AAGWD',
),
),
);
$url = $domain.$action;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postparam));
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
ob_start();
$return = curl_exec($ch);
ob_end_clean();
curl_close($ch);
$json = json_decode($return);
echo "<pre>"; print_r($json); echo "</pre>";
?>bash
curl -X POST 'https://demo.connect.easyparcel.my/?ac=EPParcelStatusBulk' \
--data-urlencode 'api=xxxxxx' \
--data-urlencode 'bulk[0][order_no]=EI-AAGWD' \
--data-urlencode 'bulk[1][order_no]=EI-AAGWD'Response
Response L1
| Field | Type | Description | Remarks |
|---|---|---|---|
api_ | string(10) | Validation result | (Refer to Appendix I) |
error_ | int(5) | Error code | (Refer to Appendix I) |
error_ | string(100) | Error message | (Refer to Appendix I) |
result | array | The result for parcel status, if status is Success | (Refer to Response L2) |
Response L2 · result
| Field | Type | Description | Remarks |
|---|---|---|---|
status | string(10) | The status of the orders made. | |
remarks | string(100) | The message for orders made. | |
order_ | string(15) | Order number. | |
parcel | array | The result for parcel status, if status is Success | (Refer to Response L3) |
Response L3 · parcel
| Field | Type | Description | Remarks |
|---|---|---|---|
parcel_ | string(15) | The number of the parcel. | |
ship_ | string(45) | The status of the shipment. | Cancel / Waiting Payment / Pending For Collection / Collected / Returned / Delivering(in transit) / Successfully Delivered / Schedule In Arrangement / On Hold / Expired (Unpaid) / Cancel By Admin / Pending for Drop Off / Parcel Drop Off at Point / Parcel has been collected / Other Status |
awb | string(45) | awb number. | Empty if null. |
awb_ | string(300) | The URL link of the awb | Downloadable PDF file |
Response samples
json
{
"api_status":"Success",
"error_code":"0",
"error_remark":"",
"result":[
{
"status":"Success",
"remarks":"Correct Order_no",
"order_no":"EI-AAGWD",
"parcel":[
{
"parcel_number":"EP-AOBH3",
"ship_status":"Schedule In Arrangement",
"awb":"238725129086",
"awb_id_link":"http:\/\/demo.connect.easyparcel.my\/?ac=AWBLabel&id=QmIxTE43eHQjMTUyNzc4Mw%3D%3D"
}
]
},
{
"status":"Success",
"remarks":"Correct Order_no",
"order_no":"EI-AAGWD",
"parcel":[
{
"parcel_number":"EP-AOBH3",
"ship_status":"Schedule In Arrangement",
"awb":"238725129086",
"awb_id_link":"http:\/\/demo.connect.easyparcel.my\/?ac=AWBLabel&id=QmIxTE43eHQjMTUyNzc4Mw%3D%3D"
}
]
}
]
}json
{
"api_status":"Error",
"error_code":"3",
"error_remark":"Required api key",
"result":[
]
}